<?php get_header(); ?>

	<div class="main">

<?php get_sidebar(); ?>
	
		
		<div class="content">
		
	<?php if (have_posts()) : ?>
			

		 <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
		 
<?php /* If this is a category archive */ if (is_category()) { ?>
		<div class="nav"><h2 class="pagetitle">Archive for the &#8216;<?php echo single_cat_title(); ?>&#8217; Category</h2></div>

 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<div class="nav"><h2 class="pagetitle">Archive for <?php the_time('F jS, Y'); ?></h2></div>

	 <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<div class="nav"><h2 class="pagetitle">Archive for <?php the_time('F, Y'); ?></h2></div>

		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<div class="nav"><h2 class="pagetitle">Archive for <?php the_time('Y'); ?></h2></div>

	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<div class="nav"><h2 class="pagetitle">Author Archive</h2></div>

		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<div class="nav"><h2 class="pagetitle">Blog Archives</h2></div>

		<?php } ?>


		<div class="nav">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

		<?php while (have_posts()) : the_post(); ?>

		<div class="post">

				<div class="top">
				<div class="title"><h1 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h1></div>
				<div class="descr"><?php the_time('F jS, Y') ?> by <?php the_author() ?></div>
				</div>
					<div class="text"><?php the_content() ?></div>

				<div class="comment">Posted in <?php the_category(', ') ?> | <?php edit_post_link('Edit', '', ' | '); ?>  <?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></div>


			</div>		

		<?php endwhile; ?>



		<div class="nav">
			<div class="alignleft"><?php next_posts_link('&laquo; Previous Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Next Entries &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h1 class="center">Not Found</h1>
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>		
	

		
			</div>

<?php get_footer(); ?>
